#!/usr/bin/env python

import es
import crazyranking as crazyranks
database = crazyranks.database
exportfile = crazyranks.addon_path + '/exportdata.txt'
ident = '    '

def write(lines=()):
    for line in lines:
        file.write(line)

def export():
    global file
    file = open(exportfile, 'w')
    es.dbgmsg(0, '[Crazy Ranks] Exporting data from the database ...')
    allplayers = database.getAll()
    if allplayers:
        write('"ranks"\n')
        write('{\n')
        total = database.getTotalCount()
        for player in allplayers:
            steamid, kills, deaths, points = player
            if not steamid: continue
            if steamid.startswith('BOT_'):
                if crazyranks.settings.do_bots_count:
                    if crazyranks.settings.show_bots_on_top:
                        name = steamid.replace('BOT_', '')
                    else: continue
                else: continue
            else:
                name = database.getPlayerName(steamid)
                
            ##
            ## GATHERING ALL DATA
            ##
            
            kdr = crazyranks.convertKdr(kills, deaths)
            #weapons
            tWins, ctWins, ctTotal, tTotal, bP, bD, hR, hK, bE, suicides, headshots, tP = database.stats(steamid)
            t_win_ratio, ct_win_ratio = crazyranks.getWinRatio(tWins, tTotal, ctWins, ctTotal)
            position = database.getPosition(steamid)
            
            write('%s"%s"\n' % (ident, position))
            write('%s{\n' % (ident))
            
            write('%s"stats"\n' % (ident*2))
            write('%s{\n' % (ident*2))
            
            write('%s"name" : "%s"\n' % (ident*3, name))
            write('%s"uniqueid" : "%s"\n' % (ident*3, steamid))
            write('%s"position" : "%s"\n' % (ident*3, position))
            write('%s"total" : "%s"\n' % (ident*3, total))
            write('%s"points" : "%s"\n' % (ident*3, points))
            write('%s"kills" : "%s"\n' % (ident*3, kills))
            write('%s"headshots" : "%s"\n' % (ident*3, headshots))
            write('%s"deaths" : "%s"\n' % (ident*3, deaths))
            write('%s"kdr" : "%s"\n' % (ident*3, kdr))
            write('%s"suicides" : "%s"\n' % (ident*3, suicides))
            write('%s"hos_killed" : "%s"\n' % (ident*3, hK))
            write('%s"hos_saved" : "%s"\n' % (ident*3, hR))
            write('%s"bomb_plant" : "%s"\n' % (ident*3, bP))
            write('%s"bomb_defuse" : "%s"\n' % (ident*3, bD))
            write('%s"bomb_explode" : "%s"\n' % (ident*3, bE))
            write('%s"ct_wins" : "%s"\n' % (ident*3, ctWins))
            write('%s"t_wins" : "%s"\n' % (ident*3, tWins))
            write('%s"ct_rounds" : "%s"\n' % (ident*3, ctTotal))
            write('%s"t_rounds" : "%s"\n' % (ident*3, tTotal))
            write('%s"total_wins" : "%s"\n' % (ident*3, ctWins + tWins))
            write('%s"total_rounds" : "%s"\n' % (ident*3, tTotal + ctTotal))
            write('%s"timeplayed" : "%s"\n' % (ident*3, tP))
            #write('    "lastconnect"	"21:57 03.06.2010"'
            write('%s}\n' % (ident*2))
            write('\n')
            
            if database.getHitboxData(steamid): head, chest, stomach, leftarm, rightarm, leftleg, rightleg = database.getHitboxData(steamid)
            damage = database.getDamage(steamid)[0]
            total = head+chest+stomach+leftarm+rightarm+leftleg+rightleg
            
            write('%s"hitbox"\n' % (ident*2))
            write('%s{\n' % (ident*2))
            
            write('%s"hits" : "%s"\n' % (ident*3, total))
            write('%s"damage" : "%s"\n' % (ident*3, damage))
            write('%s"head" : "%s"\n' % (ident*3, head))
            write('%s"chest" : "%s"\n' % (ident*3, chest))
            write('%s"stomach" : "%s"\n' % (ident*3, stomach))
            write('%s"leftarm" : "%s"\n' % (ident*3, leftarm))
            write('%s"rightarm" : "%s"\n' % (ident*3, rightarm))
            write('%s"leftleg" : "%s"\n' % (ident*3, leftleg))
            write('%s"rightleg" : "%s"\n' % (ident*3, rightleg))
            
            write('%s}\n' % (ident*2))
            write('%s}\n\n' % ident)
            
        write('}\n')
        
    
    es.dbgmsg(0, '[Crazy Ranks] Data has been successfully exported.')
    file.close()

