#!/usr/bin/env python

from crazyranking import crazyranking as crazyranks
import es, usermsg, popuplib

def load():
    global hitsetting
    hitsetting = crazyranks.addUserSetting('hit_message', 'togglehurt', toggleHit, 1)
    announce = crazyranks.addAnnounce('togglehurt', 3, '#greenRanks: #defaultType #teamtogglehurt#default to change the display of your hits.')

def toggleHit(userid, args, setting):
    hit = popuplib.create('togglehit')
    hit.addline('Toggle Hit Messages')
    hit.addline(' ')
    hit.addline('Display Setting:')
    hit.addline('->1. Chatbox [%s]' % 'ON' if setting == 1 else '->1. Chatbox [OFF]')
    hit.addline('->2. Console [%s]' % 'ON' if setting == 2 else '->2. Console [OFF]')
    hit.addline('->3. Hudhint [%s]' % 'ON' if setting == 3 else '->3. Hudhint [OFF]')
    hit.addline('->4. Turn Off')
    hit.addline(' ')
    hit.addline('0. Close')
    
    hit.menuselect = selectToggle
    hit.send(userid)
    
def selectToggle(userid, choice, popupid):
    if choice == 1:
        hitsetting.change(userid, 1)
    elif choice == 2:
        hitsetting.change(userid, 2)
    elif choice == 3:
        hitsetting.change(userid, 3)
    elif choice == 4:
        hitsetting.change(userid, 0)

def player_hurt(ev):
    userid = int(ev['attacker'])
    hit = int(ev['hitgroup'])
    damage = int(ev['dmg_health'])
    index = crazyranks.getPlayer(int(ev['userid'])).get('index')
    convert = {1 : 'head', 2 : 'chest', 3 : 'stomach', 4 : 'left arm', 5 : 'right arm', 6 : 'left leg', 7 : 'right leg'}
    if crazyranks.settings.message_hurt_events:
        if hit > 0:
            if hitsetting.get(userid) == 1:
                crazyranks.tell(ev['attacker'], index, 'player hurt', {'victim' : es.getplayername(ev['userid']), 'hitbox' : convert[hit], 'damage' : damage})
            elif hitsetting.get(userid) == 2:
                usermsg.echo(userid, 'Ranks: You hurt player %s in his %s with a damage of %s.' % (es.getplayername(ev['userid']), convert[hit], damage))
            elif hitsetting.get(userid) == 3:
                usermsg.hudhint(userid, 'Ranks: You hurt player %s\n in his %s with a damage of %s' % (es.getplayername(ev['userid']), convert[hit], damage))