#!/usr/bin/env python

import es, usermsg, gamethread
from crazyranking import crazyranking as crazyranks

database = crazyranks.database
connected_players = set()

def player_team(ev):
    userid = int(ev['userid'])
    
    if userid not in connected_players:
        player = crazyranks.getPlayer(userid)
        steamid = player.uniqueid
        position = player.position
        points = player.points
        countAll = database.getTotalCount()
        
        connected_players.add(userid)
        if points:
            gamethread.delayed(10, usermsg.hudhint, (userid, 'Welcome %s!\n \n%s Points \nPosition %s of %s' % (es.getplayername(userid), crazyranks.getFormat(points), position, countAll)))
            
def player_disconnect(ev):
    userid = int(ev['userid'])
    
    if userid in connected_players:
        connected_players.remove(userid)
    
    